---
title: TrackDefaultList.TrackDefaultList()
slug: Web/API/TrackDefaultList/TrackDefaultList
tags:
  - API
  - Audio
  - Constructor
  - Experimental
  - Extensions
  - MSE
  - Media
  - Reference
  - TrackDefaultList
  - Video
  - source
---
<div>{{APIRef("Media Source Extensions")}}{{Obsolete_Header}}</div>

<p>The <code><strong>TrackDefaultList()</strong></code> constructor of the {{domxref("TrackDefaultList")}} interface constructs and returns a new <code>TrackDefaultList</code> object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var trackDefaultList = new TrackDefaultList(trackDefaults);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>trackDefaults</dt>
 <dd>A sequence (array) of {{domxref("TrackDefault")}} objects.</dd>
</dl>

<h2 id="Example">Example</h2>

<p>TBD.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>
<div>

<p>{{Compat("api.TrackDefaultList.TrackDefaultList")}}</p>
</div>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("MediaSource")}}</li>
 <li>{{domxref("SourceBuffer")}}</li>
 <li>{{domxref("TrackDefaultList")}}</li>
</ul>
